I've recently take over the management of a mixed Novell/OES environment.

I have 3 SLES 10 -OES2 SP3 - x86-64 servers that are all running 3 different edirectory versions 20602.00, 20704.00, 20705.00.
Should I be upgrading them all to the 20705.00 version? are there any issues with me doing this?